# Interface MCategory

All Superinterfaces:
  `MApplicationElement, MLocalizable`

All Known Implementing Classes:
  `CategoryImpl`

public interface MCategory extends MApplicationElement, MLocalizable
A representation of the model object 'Category'.

This defines a logical grouping of Commands in order to facilitate showing the current set of Commands in dialogs, lists etc

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Name`
  - `Description`
  - `Localized Name`
  - `Localized Description`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns the value of the 'Description' attribute.
`String`
`getLocalizedDescription()`
Returns the value of the 'Localized Description' attribute.
`String`
`getLocalizedName()`
Returns the value of the 'Localized Name' attribute.
`String`
`getName()`
Returns the value of the 'Name' attribute.
`void`
`setDescription(String value)`
Sets the value of the '`Description`' attribute.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.

### Methods inherited from interface MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface MLocalizable

`updateLocalization`

## Method Details

### getName

String getName()
Returns the value of the 'Name' attribute.

The name to be displayed for this category.

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`

### setName

void setName(String value)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`

### getDescription

String getDescription()
Returns the value of the 'Description' attribute.

The description to display for this category.

Returns:
  the value of the 'Description' attribute.
See Also:
  - `setDescription(String)`

### setDescription

void setDescription(String value)
Sets the value of the '`Description`' attribute.

Parameters:
  `value` - the new value of the 'Description' attribute.
See Also:
  - `getDescription()`

### getLocalizedName

String getLocalizedName()
Returns the value of the 'Localized Name' attribute. The default value is `""`.

Returns:
  the value of the 'Localized Name' attribute.

### getLocalizedDescription

String getLocalizedDescription()
Returns the value of the 'Localized Description' attribute.

Returns:
  the value of the 'Localized Description' attribute.